import Vue from 'vue';
import App from './App';
App.mpType = 'app';
// 导入 vuex 实例
import store from './store';
// 挂载全局，通过 this.$store 访问到 state 里的数据
Vue.prototype.$store = store

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

// 注册全局方法
import global from './common/index.js'
Vue.use(global)

Vue.config.productionTip = false;


const app = new Vue({
  ...App,
  store // 挂载实例对象
});
app.$mount();
